Application
GET
/applications/{application_id}/templatesRetrieve Templates
Get the application's pricing schema.
Returns the pricing_schema (v2) that defines how pricing is structured: fields[].key, label, type, purpose, position, required, validation, options, default_value, column.
The presets are NOT returned here — use Retrieve Pricing Table for schema + presets together.
Requires: Bearer token, application selected via Update Me.
This endpoint is deprecated and no longer be used.
Request
Example
curl -X GET 'https://api.paycose.com/api/v1/app1/platform/wallet/applications/{{application_id}}/templates' \
-H 'X-Session-Token: {{session_token}}'Headers
| Name | Value |
|---|---|
| X-Session-Token | {{session_token}} |
Responses
200200
Headers
| Name | Value |
|---|---|
| Date | Mon, 29 Jun 2026 02:56:28 GMT |
| Content-Type | application/json |
| Content-Length | 208 |
| Vary | Origin |
| X-Request-Id | cf9f731b-13b1-42bf-8624-e77e941e8c3b |
Body
{
"schema": {
"version": 2,
"fields": [
{
"key": "tier_label",
"label": "Tier",
"type": "text",
"purpose": "label",
"position": 1,
"required": true,
"validation": {
"min_length": 1,
"max_length": 50,
"pattern": "^[A-Za-z0-9 _-]+$"
}
}
]
}
}